Subject: bug#18378: [Patch] wrong fontification of Java code

From: Alan Mackenzie <[email-masked]>
Date: Thu, 23 Jan 2020 18:09:47 +0000

Hello, Stefan.

On Thu, Jan 23, 2020 at 15:13:05 +0100, Stefan Kangas wrote:
> Hi Alan,

> Alan Mackenzie <[email-masked]> writes:

> > I missed this bug report back in 2014.  The code has moved around so
> > much since then that Jordon's patch no longer applies.  But a simple
> > patch with the same idea appears to fix this bug:

> Thanks for taking a look.

> With your fix, applied on the master branch, in the example given:

>     class X
>     {
>         public void x ()
>         {
>             for (int this_is_not_a_function_name : getX ()) {
>             }
>         }
>     }

> The "int" no longer has font-lock-type-face.  Should it?

That's funny.  It has font-lock-type-face for me, in all of emacs-27,
master and standalone CC Mode (in master).  font-lock-type-face is indeed
correct, here.

Are you sure you were ....  (I don't think I need to fill in the dots for
you.  ;-)

> Best regards,
> Stefan Kangas

-- 
Alan Mackenzie (Nuremberg, Germany).